{
  "config_version": "1.0.11",
  "general": {
    "min_structure_distance_from_world_center": 0,
    "disable_all_structures": false,
    "enable_global_spacing_and_separation_modifier": false,
    "global_spacing_and_separation_modifier": 1.0
  },
  "structures": [
    {
      "name": "minecraft:ancient_city",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 116,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 116,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:bastion_remnant",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:buried_treasure",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:desert_pyramid",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:end_city",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:igloo",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:jungle_pyramid",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:mansion",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:mineshaft_mesa",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:monument",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ocean_ruin_cold",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ocean_ruin_warm",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:pillager_outpost",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_desert",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_jungle",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_mountain",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_nether",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_ocean",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:ruined_portal_swamp",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:shipwreck",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:shipwreck_beached",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:swamp_hut",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_desert",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_plains",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_savanna",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_snowy",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_taiga",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "alekiships:unfinished_sloop_birch",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "alekiships:unfinished_sloop_cherry",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "alekiships:unfinished_sloop_dark_oak",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "alekiships:unfinished_sloop_oak",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "alekiships:unfinished_sloop_spruce",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:cave",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:cottage",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:little_house",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 15,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 15,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:swamp_hut",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:swamp_ruin_1",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:swamp_ruin_2",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:swamp_ruin_3",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "bloomingnature:tree_stump",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "tconstruct:blood_island",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "tconstruct:clay_island",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "tconstruct:earth_slime_island",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "tconstruct:end_slime_island",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "tconstruct:sky_slime_island",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:desert_outpost",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:fortified_desert_village",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:fortified_village",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:glacial_hut",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:igloo",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 16,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 16,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_complex",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_tower",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_tower_autumn",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_tower_spring",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_tower_summer",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:mage_tower_winter",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:rubble_desert",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 16,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 16,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:rubble_jungle",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 16,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 16,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:rubble_mesa",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 16,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 16,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:spire",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 128,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 128,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/frosted_dungeon",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/giant_bee_hive",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/mining_outpost",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/oak_cabin",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/old_refinery",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/sunken_tower",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground/witch_hut",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:underground_cabin",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:valley_lodge",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "terralith:witch_hut",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "verdantvibes:fairy_circle",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "verdantvibes:palm_campfire",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    }
  ],
  "structure_sets": []
}